## pam localuser

=== Makefile ===
# $Id: Makefile,v 1.3 2001/01/05 00:14:42 nalin Exp $
#
# This Makefile controls a build process of $(TITLE) module for
# Linux-PAM. You should not modify this Makefile (unless you know
# what you are doing!).
#
#

include ../../Make.Rules

TITLE=pam_localuser
MAN8=pam_localuser.8

include ../Simple.Rules
