## pam mktemp-1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #
-# Copyright (c) 2000,2003 by Solar Designer. See LICENSE.
+# Copyright (c) 2000,2003 by Solar Designer
+# Copyright (c) 2006,2010 by Dmitry V. Levin
+# See LICENSE
 #
 
 CC = gcc
@@ -11,6 +13,13 @@
 LDFLAGS = -s --shared -Wl,--version-script,$(MAP)
 LDLIBS = -lpam
 
+# This requires GNU make
+ifeq ($(shell uname -s),SunOS)
+# We support Sun's older /usr/ucb/install, but not the newer /usr/sbin/install
+	override INSTALL = /usr/ucb/install -c
+	override LDFLAGS = -G
+endif
+
 TITLE = pam_mktemp
 PAM_SO_SUFFIX =
 LIBSHARED = $(TITLE).so$(PAM_SO_SUFFIX)
@@ -20,6 +29,15 @@
 
 OBJS = pam_mktemp.o
 MAP = pam_mktemp.map
+
+ifeq ($(USE_SELINUX),1)
+	override CFLAGS += -DUSE_SELINUX=1
+	override LDLIBS += -lselinux
+endif
+
+ifeq ($(USE_APPEND_FL),1)
+	override CFLAGS += -DUSE_APPEND_FL=1
+endif
 
 all: $(LIBSHARED)
