## pam netid

=== Makefile ===

LIBS=-lpam

netid: pam_netid.c
	$(CC) $(CFLAGS) -DPROG -o $@ $<

pam_netid.so: pam_netid.o
	$(LD) -x --shared -o $@ $< $(LIBS)

pam_netid.o: pam_netid.c
	$(CC) -fPIC -c $(CFLAGS) $<

clean:
	rm -f pam_netid.o pam_netid.so netid *~ core
