## pam passwdqc-0.3

=== Makefile ===
#
# Copyright (c) 2000 by Solar Designer. See LICENSE.
#

CC = gcc
LD = ld
RM = rm -f
MKDIR = mkdir -p
INSTALL = install
CFLAGS = -c -Wall -O2 -fPIC
LDFLAGS = -s -lpam --shared

TITLE = pam_passwdqc
LIBSHARED = $(TITLE).so
SHLIBMODE = 700
SECUREDIR = /lib/security
FAKEROOT =

OBJS = pam_passwdqc.o passwdqc_check.o passwdqc_random.o wordset_4k.o

all: $(LIBSHARED)

pam_passwdqc.so: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o pam_passwdqc.so

.c.o:
	$(CC) $(CFLAGS) $*.c

pam_passwdqc.o: passwdqc.h pam_macros.h
passwdqc_check.o: passwdqc.h
passwdqc_random.o: passwdqc.h

install:
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)

remove:
	$(RM) $(FAKEROOT)$(SECUREDIR)/$(TITLE).so

clean:
	$(RM) $(LIBSHARED) *.o
