## pam passwdqc-1.0.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2000-2003,2005 by Solar Designer. See LICENSE.
+# Copyright (c) 2000-2003,2005 by Solar Designer.  See LICENSE.
 #
 
 CC = gcc
@@ -8,10 +8,10 @@
 MKDIR = mkdir -p
 INSTALL = install -c
 CFLAGS = -Wall -fPIC -O2
-LDFLAGS = -s --shared
-LDFLAGS_LINUX = -s --shared -Wl,--version-script,$(MAP)
-LDFLAGS_SUN = -s -G
-LDFLAGS_HP = -s -b
+LDFLAGS = --shared
+LDFLAGS_LINUX = --shared -Wl,--version-script,$(MAP)
+LDFLAGS_SUN = -G
+LDFLAGS_HP = -b
 LDLIBS = -lpam -lcrypt
 LDLIBS_LINUX = -lpam -lcrypt
 LDLIBS_SUN = -lpam -lcrypt
@@ -39,21 +39,18 @@
 MAP = pam_passwdqc.map
 
 all:
-	if [ "`uname -s`" = "Linux" ]; then \
-		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+	case "`uname -s`" in \
+	Linux)	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
 			LDFLAGS="$(LDFLAGS_LINUX)" LDLIBS="$(LDLIBS_LINUX)" \
-			$(PROJ); \
-	elif [ "`uname -s`" = "SunOS" ]; then \
-		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+			$(PROJ);; \
+	SunOS)	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
 			LD=ld LDFLAGS="$(LDFLAGS_SUN)" LDLIBS="$(LDLIBS_SUN)" \
-			$(PROJ); \
-	elif [ "`uname -s`" = "HP-UX" ]; then \
-		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+			$(PROJ);; \
+	HP-UX)	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
 			LD=ld LDFLAGS="$(LDFLAGS_HP)" LDLIBS="$(LDLIBS_HP)" \
-			$(PROJ); \
-	else \
-		$(MAKE) $(PROJ); \
-	fi
+			$(PROJ);; \
+	*)	$(MAKE) $(PROJ);; \
+	esac
 
 $(LIBSHARED): $(OBJS) $(MAP)
 	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o $(LIBSHARED)
