## pam siegho

=== Makefile ===
# pam_sieĝo: PAM modulo por defendi vian kastelon
# Copyright (C) 2005 Maarten Deprez
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

CFLAGS=-O3 -Wall
LIBS=-lpam

pam_siegho.so: pam_siegho.c
	gcc -o $@ -shared $(CFLAGS) $< $(LIBS)
	chmod -x $@
