## pam smb-1.3.6a

=== pamsmbd/Makefile ===


OBJS = server.o pam_read_conf.o pam_map_user.o cache.o

INCLUDE = -I../include

CFLAGS = ${INCLUDE} 
TARGET = pamsmbd

${TARGET}: ${OBJS} ../smbval/smbvalid.a
	$(CC) -g -o ${TARGET} ${INCLUDE} ${OBJS} ../smbval/smbvalid.a -ldb $(DLIBS) 

clean:
	rm -f ${TARGET} ${OBJS}

install:
	${INSTALL} -s -m 755 -g bin -o bin pamsmbd ${INSTALLDIR}/pamsmbd
