## pam smb-1.3.6b

=== pamsmbm/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# This makefile contains the make stuff for pam_smb v1.0
# Run configure to produce a Makefile
#
#

CFLAGS = -DHAVE_CONFIG_H -I../include -I..

LIBAUTHSH = pam_smb_auth$(SHLIB_SUFFIX)

LIBAUTHOBJ = pam_smb_auth.o support.o $(MOBJS)
LIBAUTHSRC = pam_smb_auth.c support.c $(MSRCS)
LIBOBJ = $(LIBAUTHOBJ) 
LIBSRC = $(LIBAUTHSRC)

LIBSHARED = $(LIBAUTHSH) 

%.o : %.c
	$(CC) $(CFLAGS) $(SHLIB_CFLAGS) $(DYNAMIC) $(CPPFLAGS) -c $< -o $@


########################### don't edit below #######################

dummy: all
info:
	@echo
	@echo "*** Building pam-smb(alpha) module of the framework..."
	@echo "Contact: David.Airlie@ul.ie"
	@echo

all: $(LIBSHARED) Makefile

$(LIBOBJD): $(LIBSRC)

$(LIBAUTHSH):	$(LIBAUTHSRC) $(LIBOBJ) 
		$(SHLIB_LD) $(LD_FLAGS) -o $@ $(LIBAUTHOBJ) $(EXTRALIBS)

clean:
	rm -f $(LIBAUTHSH) $(LIBAUTHOBJ) a.out core *~

install:
	$(INSTALL) -m 644 -o root -g root $(LIBAUTHSH) /lib/security/pam_smb_auth.so

extraclean: clean
	rm -f *.a *.out *.o *.so

.c.o:	
	$(CC) -c $(CFLAGS) $<
