## pam smb-1.9.8

=== pamsmbd/Makefile ===


OBJS = server.o pam_read_conf.o map_user.o cache.o

INCLUDE = -I../include -I../tdb

CFLAGS += ${INCLUDE} 
TARGET = pamsmbd

${TARGET}: ${OBJS} ../smbval/smbvalid.a ../tdb/tdb.o
	$(CC) -g -o ${TARGET} ${INCLUDE} ${OBJS} ../tdb/tdb.o ../smbval/smbvalid.a $(DLIBS) 

clean:
	rm -f ${TARGET} ${OBJS}

install:
	${INSTALL} -s -m 755 -g bin -o bin pamsmbd ${INSTALLDIR}/pamsmbd
