=== pamsmbm/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# Generated automatically from Makefile.in by configure.
 #
 # This makefile contains the make stuff for pam_smb v1.0
 # Run configure to produce a Makefile
@@ -23,13 +22,11 @@
 ########################### don't edit below #######################
 
 dummy: all
-info:
-	@echo
-	@echo "*** Building pam-smb(alpha) module of the framework..."
-	@echo "Contact: David.Airlie@ul.ie"
-	@echo
 
 all: $(LIBSHARED) Makefile
+
+smb_auth: smb_auth.o
+	gcc -o smb_auth smb_auth.o queue_valid.o ../smbval/smbvalid.a
 
 $(LIBOBJD): $(LIBSRC)
