=== smbval/Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
-# makefile for smblib
-# Type make system, where system is ULTRIX, DU, DECOSF1, Solaris etc
+#
+# makefile for smbval subdirectory 
+# Copyright (c) Dave Airlie 2000 (airlied@samba.org)
+#
+
 AR = ar
 
 INCLUDES = smblib.h smblib-priv.h
