=== tdb/Makefile ===


OBJS = tdb.o

INCLUDE = -I../include

CFLAGS += ${INCLUDE}
TARGET = tdb.o

all: ${OBJS}

clean:
	rm -f ${OBJS}

install:
