## pam smb-2.0.0-rc6

=== pamsmbd/Makefile ===


OBJS = server.o pam_read_conf.o map_user.o cache.o md5.o md5driver.o

INCLUDE = -I../include -I../tdb

CFLAGS += ${INCLUDE} 
TARGET = pamsmbd

${TARGET}: ${OBJS} ../smbval/smbvalid.a ../tdb/tdb.o ../tdb/spinlock.o
	$(CC) -g -o ${TARGET} ${INCLUDE} ${OBJS} ../tdb/tdb.o ../tdb/spinlock.o ../smbval/smbvalid.a $(DLIBS)

clean:
	rm -f ${TARGET} ${OBJS}

install:
	${INSTALL} -s -m 755 -g bin -o bin pamsmbd ${INSTALLDIR}/pamsmbd
