=== tdb/Makefile ===


OBJS = tdb.o spinlock.o

INCLUDE = -I../include

CFLAGS += ${INCLUDE} -DSTANDALONE
TARGET = tdb.o spinlock.o

all: ${OBJS}

clean:
	rm -f ${OBJS}

install:
