## pam smtpauth-0.9.6

=== debian/changelog ===
libpam-smtpauth (0.9.5-1) unstable; urgency=low

  * Rebuild package.

 -- Taizo ITO <taizo.ito@hde.co.jp>  Fri, 10 Jul 2009 12:05:59 +0900

Local variables:
mode: debian-changelog
End:
