=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*- made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL = /bin/sh

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

configure-stamp:
	./configure --prefix=/usr --sysconfdir=/etc --libdir=/lib --enable-debug=no
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	#dh_installdirs lib/security
	make install DESTDIR=`pwd`/debian/tmp 
	#install -m 644 src/pam_smtpauth.so debian/tmp/lib/security
	rm -rf debian/tmp/usr/bin
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README AUTHORS COPYING NEWS
	dh_installchangelogs ChangeLog
	dh_installexamples sample/pam_smtpauth.conf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
