## pam tacplus-1.4.1

=== debian/changelog ===
libpam-tacplus (1.4.1-1) unstable; urgency=low

  * Added a simple TACACS+ command-line client (tacc)
  * Numerous fixes and clean-ups

 -- Pawel Krawczyk <pawel.krawczyk@hush.com>  Sat, 23 Jul 2016 08:11:00 +0100

libpam-tacplus (1.3.8-2) unstable; urgency=low

  * Added postinst and prerm scripts for pam-auth-update. Closes: #739274

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 17 Feb 2014 18:58:59 +0100

libpam-tacplus (1.3.8-1) unstable; urgency=low

  * New upstream release.
  * Fixed pam-configs. Closes: #717716
  * Added dh-autoreconf. Closes: #734228

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Fri, 31 Jan 2014 12:32:00 +0100

libpam-tacplus (1.3.7-1) unstable; urgency=low

  * New upstream release.
  * Changed compat level to 9 for hardening
  * Fixed license link

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 19 May 2012 19:25:00 +0100

libpam-tacplus (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * Added libpam-runtime support.

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 7 May 2012 21:21:00 +0100

libpam-tacplus (1.3.5-1) unstable; urgency=low

  * First version of pam_tacplus debian package. Closes: #588172

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 5 Sep 2011 16:01:00 +0100
