=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@

override_dh_clean:
	rm -f config.status config.log
	rm -f m4/* lib/*.c lib/*.h lib/Makefile.gnulib
	dh_clean

override_dh_update_autotools_config:
	gnulib-tool --makefile-name=Makefile.gnulib --libtool --import fcntl crypto/md5 array-list list xlist getrandom realloc-posix explicit_bzero xalloc getopt-gnu

override_dh_auto_configure:
	dh_auto_configure -- --enable-pamdir=/lib/$(DEB_HOST_MULTIARCH)/security --docdir=/usr/share/doc/libpam-tacplus

override_dh_install:
	mkdir -p debian/libpam-tacplus/usr/share/pam-configs
	cp debian/tacplus debian/libpam-tacplus/usr/share/pam-configs/
	dh_install

# check-local target requires a running tac_plus server
override_dh_auto_test:
