=== debian/watch ===
version=3

https://github.com/kravietz/pam_tacplus/tags .*/v?(\d[\d\.]+)\.tar\.gz
